<?php
use Intervention\Image\ImageManagerStatic as Image;

$parceirosDao = new \Dao\Parceiros();
$parceirosDao->getParceiroPorId($conecta, filter_input(INPUT_POST, 'id'));
$parceirosDao->titulo = $conecta->real_escape_string(filter_input(INPUT_POST, 'titulo'));
$parceirosDao->subtitulo = $conecta->real_escape_string(filter_input(INPUT_POST, 'subtitulo'));
$parceirosDao->link = $conecta->real_escape_string(filter_input(INPUT_POST, 'link'));
$parceirosDao->ordem = \Dao\Funcoes::getUltimoId($conecta, 'parceiros', 'ordem');
if (!empty($_FILES['image']['name'])) {
    if ($parceirosDao->image != '')
        if (file_exists($pasta . $parceirosDao->image))
            unlink($pasta . $parceirosDao->image);
    
        $parceirosDao->image = \Dao\Funcoes::randFileName($_FILES['image']['name']);
        $image = Image::make($_FILES['image']['tmp_name'])->resize(2500, null, function ($constraint) {
            $constraint->aspectRatio();
        });

        $image->save($pasta . $parceirosDao->image, 85);
}
$res = json_decode($parceirosDao->salvar($conecta));
if ($res->data == 'Success') 
    \Dao\Funcoes::displayMessage('Confirmação', $res->message, 'parceiros.php');
else 
    \Dao\Funcoes::displayMessage('Erro', $res->message, 'parceiros.php', 'red');